Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print.event
Class PrintEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.print.event.PrintEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PrintJobAttributeEvent, PrintJobEvent, PrintServiceAttributeEvent

public class PrintEvent
extends EventObject

Class PrintEvent is the super class of all Print Service API events.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PrintEvent(Object source)` Constructs a PrintEvent object.

Method Summary
`String` | `toString()` Returns a String representation of this EventObject.

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrintEvent

    public PrintEvent(Object source)

  Constructs a PrintEvent object.

Parameters:
  `source` - is the source of the event

Method Detail

### toString

    public String toString()

  Description copied from class: `EventObject`
  Returns a String representation of this EventObject.

  Overrides:
    `toString` in class `EventObject`
  Returns:
    a message describing the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.